WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Whistles

Tabs, toggles, accordions, and all that jazz. Bells and whistles done right.

Another tabs plugin?

I know what you're thinking. But, I promise you this one is better. It might not be the shiniest or the most glamorous, but it's the easiest for actual living, breathing human beings to use. It's also probably the easiest to extend from a theme author point of view. I call that a win+win.

Why no look good with my theme?

With plugins like this, it's literally impossible for the plugin author to design something that will look good with every theme. I actually created this plugin with theme authors in mind. The code is extremely simple so that even the newest theme author could create custom styles for it. Please ask your theme author to support this plugin in his or her theme.

How do I customize the styles for this thing?

You can simply start overwriting styles via your theme's style.css file.

Or, you can put this within the theme setup function in your theme's functions.php:

add_theme_support( 'whistles', array( 'styles' => true ) );

Then, copy the contents of this plugin's /css/whistles.css file into your active theme's style.css file. You'll be in full control of the styles from that point forward.

How do I overwrite the JavaScript?

This should go into your theme setup function within your theme's functions.php:

add_theme_support( 'whistles', array( 'scripts' => true ) );

From that point, do your own thing.

How do I modify...?

If there's anything else you want to customize, I'll assume you're a theme/plugin author at this point. The code is well documented. There are plenty of hooks. Have at it! I'm more than willing to help out with this on my support forums if you need the help.

Can you help me?

Unfortunately, I cannot provide free support for this plugin to everyone. I honestly wish I could. My day job requires too much of my time for that, which is how I pay the bills and eat. However, you can sign up for my support forums for full support of this plugin, all my other plugins, and all my themes for one price.

Can you whistle?

Sure. Can't everyone? What a sad world it be without whistling.

Requires: 3.6 or higher
Compatible up to: 3.7.1
Last Updated: 2013-9-9
Downloads: 5,685

Ratings

4 stars
4.6 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,1,1
100,1,1
100,3,3
100,2,2
100,3,3
100,2,2
100,1,1